Market Value API Documentation
Welcome to Vehicle Databases API's Documentation
Market Value
GETJSON ResponseOverview
Get access to trade-in, private party, and retail values for any vehicle based on state and mileage with our vehicle market value API. Vehicle Databases API service allows you instant access to accurate vehicle market value information. We provide estimates of market value for used and new cars by year, make, model and trim based on market trends analysis for used cars and dealer sales all across North America. We analyze vehicle market value data based on millions of vehicle sales and transactions. Our database is updated frequently to give accurate market value details.
- COVERAGE
- US Region Vehicles.
- SUPPORT
- Works for 17 characters VINs
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/v2/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/v2/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
mileage (query parameter)Required- Vehicle Mileage in miles
state (query parameter)Required- US State
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"intro": {
"vin": "WBAPH7G50BNM56522"
},
"basic": {
"make": "BMW",
"model": "328",
"year": "2011",
"trim": "i 4dr Rear-wheel Drive Sedan Manual",
"state": "NY",
"mileage": "12,000"
},
"market_value": {
"market_value_data": [
{
"trim": "i 4dr Rear-wheel Drive Sedan Manual",
"market value": [
{
"Condition": "Outstanding",
"Trade-In": "$6,829",
"Private Party": "$12,153",
"Dealer Retail": "$15,200"
},
{
"Condition": "Clean",
"Trade-In": "$6,483",
"Private Party": "$11,473",
"Dealer Retail": "$14,273"
},
{
"Condition": "Average",
"Trade-In": "$5,906",
"Private Party": "$10,341",
"Dealer Retail": "$12,727"
},
{
"Condition": "Rough",
"Trade-In": "$5,157",
"Private Party": "$8,869",
"Dealer Retail": "$10,719"
}
]
}
]
}
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Market Value
GETJSON ResponseOverview
Get access to trade-in, private party, and retail values for any vehicle based on state and mileage with our vehicle market value API. Vehicle Databases API service allows you instant access to accurate vehicle market value information. We provide estimates of market value for used and new cars by year, make, model and trim based on market trends analysis for used cars and dealer sales all across North America. We analyze vehicle market value data based on millions of vehicle sales and transactions. Our database is updated frequently to give accurate market value details.
- COVERAGE
- US Region Vehicles.
- SUPPORT
- Works for 17 characters VINs
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/v1/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/v1/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
mileage (query parameter)Required- Vehicle Mileage in miles
state (query parameter)Required- US State
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"intro": {
"vin": "5TDYK3DC8FS560664"
},
"basic": {
"make": "Toyota",
"model": "Sienna",
"year": "2015",
"trim": "XLE Premium 8-Passenger 4dr Minivan 6spd-automatic 6cyl 3.5L"
},
"market_value": {
"market_value_data": [
{
"trim": "XLE Premium 8-Passenger 4dr Minivan 6spd-automatic 6cyl 3.5L",
"market value": [
{
"Condition": "Outstanding",
"Trade-In": "$16,900",
"Private Party": "$21,481",
"Dealer Retail": "$25,008"
},
{
"Condition": "Clean",
"Trade-In": "$16,276",
"Private Party": "$20,643",
"Dealer Retail": "$23,982"
},
{
"Condition": "Average",
"Trade-In": "$15,235",
"Private Party": "$19,247",
"Dealer Retail": "$22,272"
},
{
"Condition": "Rough",
"Trade-In": "$13,882",
"Private Party": "$17,432",
"Dealer Retail": "$20,050"
}
]
}
]
}
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Market Value
GETJSON ResponseOverview
Get access to trade-in, private party, and retail values for any vehicle based on state and mileage with our vehicle market value API. Vehicle Databases API service allows you instant access to accurate vehicle market value information. We provide estimates of market value for used and new cars by year, make, model and trim based on market trends analysis for used cars and dealer sales all across North America. We analyze vehicle market value data based on millions of vehicle sales and transactions. Our database is updated frequently to give accurate market value details.
- COVERAGE
- US Region Vehicles
- SUPPORT
- Works for vehicles from 1991 to present
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/v2/ymm/{year}/{make}/{model}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/v2/ymm/{year}/{make}/{model}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle year
makeRequired- Vehicle make
modelRequired- Vehicle model
mileage (query parameter)Required- Vehicle Mileage in miles
state (query parameter)Required- US State
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"basic": {
"make": "Tesla",
"model": "Model 3",
"year": "2022",
"state": "NY",
"mileage": "12000"
},
"market_value": {
"market_value_data": [
{
"trim": "Base 4dr Rear-Wheel Drive Sedan Automatic",
"market value": [
{
"Condition": "Outstanding",
"Trade-In": "$26,984",
"Private Party": "$29,941",
"Dealer Retail": "$33,285"
},
{
"Condition": "Clean",
"Trade-In": "$26,601",
"Private Party": "$29,478",
"Dealer Retail": "$32,728"
},
{
"Condition": "Average",
"Trade-In": "$25,963",
"Private Party": "$28,705",
"Dealer Retail": "$31,798"
},
{
"Condition": "Rough",
"Trade-In": "$25,132",
"Private Party": "$27,701",
"Dealer Retail": "$30,590"
}
]
},
{
"trim": "Performance 4dr All-Wheel Drive Sedan Automatic",
"market value": [
{
"Condition": "Outstanding",
"Trade-In": "$34,390",
"Private Party": "$38,843",
"Dealer Retail": "$43,880"
},
{
"Condition": "Clean",
"Trade-In": "$33,902",
"Private Party": "$38,241",
"Dealer Retail": "$43,145"
},
{
"Condition": "Average",
"Trade-In": "$33,088",
"Private Party": "$37,239",
"Dealer Retail": "$41,920"
},
{
"Condition": "Rough",
"Trade-In": "$32,030",
"Private Party": "$35,936",
"Dealer Retail": "$40,327"
}
]
},
{
"trim": "Long Range 4dr All-Wheel Drive Sedan Automatic",
"market value": [
{
"Condition": "Outstanding",
"Trade-In": "$31,294",
"Private Party": "$34,943",
"Dealer Retail": "$39,070"
},
{
"Condition": "Clean",
"Trade-In": "$30,850",
"Private Party": "$34,402",
"Dealer Retail": "$38,415"
},
{
"Condition": "Average",
"Trade-In": "$30,109",
"Private Party": "$33,500",
"Dealer Retail": "$37,324"
},
{
"Condition": "Rough",
"Trade-In": "$29,146",
"Private Party": "$32,328",
"Dealer Retail": "$35,906"
}
]
}
]
}
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Market Value
GETJSON ResponseOverview
Get access to trade-in, private party, and retail values for any vehicle based on state and mileage with our vehicle market value API. Vehicle Databases API service allows you instant access to accurate vehicle market value information. We provide estimates of market value for used and new cars by year, make, model and trim based on market trends analysis for used cars and dealer sales all across North America. We analyze vehicle market value data based on millions of vehicle sales and transactions. Our database is updated frequently to give accurate market value details.
- COVERAGE
- US Region Vehicles
- SUPPORT
- Works for vehicles from 1991 to present
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/v1/ymm/{year}/{make}/{model}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/v1/ymm/{year}/{make}/{model}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle year
makeRequired- Vehicle make
modelRequired- Vehicle model
mileage (query parameter)Required- Vehicle Mileage in miles
state (query parameter)Required- US State
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"basic": {
"make": "Aston Martin",
"model": "DB9",
"year": "2011"
},
"market_value": {
"market_value_data": [
{
"trim": "Volante 2dr Convertible 6spd-manual 12cyl 5.9L",
"market value": [
{
"Condition": "Outstanding",
"Trade-In": "$32,852",
"Private Party": "$39,718",
"Dealer Retail": "$44,165"
},
{
"Condition": "Clean",
"Trade-In": "$31,763",
"Private Party": "$37,988",
"Dealer Retail": "$41,808"
},
{
"Condition": "Average",
"Trade-In": "$29,948",
"Private Party": "$35,105",
"Dealer Retail": "$37,881"
},
{
"Condition": "Rough",
"Trade-In": "$27,589",
"Private Party": "$31,357",
"Dealer Retail": "$32,776"
}
]
},
{
"trim": "Volante 2dr Convertible 6spd-automatic 12cyl 5.9L",
"market value": [
{
"Condition": "Outstanding",
"Trade-In": "$30,223",
"Private Party": "$36,523",
"Dealer Retail": "$40,606"
},
{
"Condition": "Clean",
"Trade-In": "$29,222",
"Private Party": "$34,932",
"Dealer Retail": "$38,440"
},
{
"Condition": "Average",
"Trade-In": "$27,552",
"Private Party": "$32,281",
"Dealer Retail": "$34,829"
},
{
"Condition": "Rough",
"Trade-In": "$25,382",
"Private Party": "$28,834",
"Dealer Retail": "$30,135"
}
]
},
{
"trim": "2dr Coupe 6spd-manual 12cyl 5.9L",
"market value": [
{
"Condition": "Outstanding",
"Trade-In": "$30,673",
"Private Party": "$37,117",
"Dealer Retail": "$41,289"
},
{
"Condition": "Clean",
"Trade-In": "$29,657",
"Private Party": "$35,500",
"Dealer Retail": "$39,086"
},
{
"Condition": "Average",
"Trade-In": "$27,962",
"Private Party": "$32,806",
"Dealer Retail": "$35,415"
},
{
"Condition": "Rough",
"Trade-In": "$25,760",
"Private Party": "$29,303",
"Dealer Retail": "$30,642"
}
]
},
{
"trim": "2dr Coupe 6spd-automatic 12cyl 5.9L",
"market value": [
{
"Condition": "Outstanding",
"Trade-In": "$30,698",
"Private Party": "$36,443",
"Dealer Retail": "$40,208"
},
{
"Condition": "Clean",
"Trade-In": "$29,681",
"Private Party": "$34,856",
"Dealer Retail": "$38,063"
},
{
"Condition": "Average",
"Trade-In": "$27,985",
"Private Party": "$32,210",
"Dealer Retail": "$34,488"
},
{
"Condition": "Rough",
"Trade-In": "$25,781",
"Private Party": "$28,771",
"Dealer Retail": "$29,840"
}
]
}
]
}
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Market Value
GETJSON ResponseOverview
The Year Options API returns a list of all available vehicle years in the database.
- RETURNS
- Array of available years as strings
- SUPPORT
- Works for vehicles from 1980 to present
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/options/v2/yearRequest
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/options/v2/year",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": [
1991,
1992,
1993,
1994,
1995,
1996,
1997,
1998,
1999,
2000,
2001,
2002,
2003,
2004,
2005,
2006,
2007,
2008,
2009,
2010,
2011,
2012,
2013,
2014,
2015,
2016,
2017,
2018,
2019,
2020,
2021,
2022,
2023,
2024,
2025,
2026
]
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Market Value
GETJSON ResponseOverview
The Make Options API returns a list of all available vehicle makes for a specific year. Use this endpoint after the user selects a year.
- RETURNS
- Array of available makes for the specified year
- REQUIRED
- Year parameter in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/options/v2/make/{year}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/options/v2/make/{year}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "1999",
"makes": [
"AM General",
"Acura",
"Audi",
"BMW",
"Buick",
"Cadillac",
"Chevrolet",
"Chrysler",
"Daewoo",
"Dodge",
"Ford",
"GMC",
"Honda",
"Hyundai",
"Infiniti",
"Isuzu",
"Jaguar",
"Jeep",
"KIA",
"Land Rover",
"Lexus",
"Lincoln",
"Mazda",
"Mercedes Benz",
"Mercury",
"Mitsubishi",
"Nissan",
"Oldsmobile",
"Plymouth",
"Pontiac",
"Porsche",
"Saturn",
"Subaru",
"Suzuki",
"Toyota",
"Volkswagen",
"Volvo"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Market Value
GETJSON ResponseOverview
The Model Options API returns a list of all available vehicle models for a specific year and make combination. Use this endpoint after the user selects both year and make.
- RETURNS
- Array of available models for the specified year and make
- REQUIRED
- Year and make parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/options/v2/model/{year}/{make}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/options/v2/model/{year}/{make}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "1999",
"make": "Daewoo",
"models": [
"Lanos",
"Leganza",
"Nubira"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Market Value
GETJSON ResponseOverview
The Year Options API returns a list of all available vehicle years in the database.
- RETURNS
- Array of available years as strings
- SUPPORT
- Works for vehicles from 1980 to present
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/options/v1/yearRequest
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/options/v1/year",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": [
1991,
1992,
1993,
1994,
1995,
1996,
1997,
1998,
1999,
2000,
2001,
2002,
2003,
2004,
2005,
2006,
2007,
2008,
2009,
2010,
2011,
2012,
2013,
2014,
2015,
2016,
2017,
2018,
2019,
2020,
2021,
2022,
2023,
2024,
2025,
2026
]
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Market Value
GETJSON ResponseOverview
The Make Options API returns a list of all available vehicle makes for a specific year. Use this endpoint after the user selects a year.
- RETURNS
- Array of available makes for the specified year
- REQUIRED
- Year parameter in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/options/v1/make/{year}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/options/v1/make/{year}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "1999",
"makes": [
"AM General",
"Acura",
"Audi",
"BMW",
"Buick",
"Cadillac",
"Chevrolet",
"Chrysler",
"Daewoo",
"Dodge",
"Ford",
"GMC",
"Honda",
"Hyundai",
"Infiniti",
"Isuzu",
"Jaguar",
"Jeep",
"KIA",
"Land Rover",
"Lexus",
"Lincoln",
"Mazda",
"Mercedes Benz",
"Mercury",
"Mitsubishi",
"Nissan",
"Oldsmobile",
"Plymouth",
"Pontiac",
"Porsche",
"Saturn",
"Subaru",
"Suzuki",
"Toyota",
"Volkswagen",
"Volvo"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Market Value
GETJSON ResponseOverview
The Model Options API returns a list of all available vehicle models for a specific year and make combination. Use this endpoint after the user selects both year and make.
- RETURNS
- Array of available models for the specified year and make
- REQUIRED
- Year and make parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/market-value/options/v1/model/{year}/{make}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/market-value/options/v1/model/{year}/{make}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "1999",
"make": "Daewoo",
"models": [
"Lanos",
"Leganza",
"Nubira"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.